Page MenuHomePhabricator

Workboard's Filter > Advanced filter isn't prefilled with current filter
Closed, ResolvedPublic

Description

  1. Visit a workboard with a custom filter, e.g. https://phabricator.wikimedia.org/project/board/6/query/ayWdOHC5rDQc/

I. Observed: three boxes in top right state "Sort: Natural | Filter: Custom Filter | Manage Board". No details on the current filter are available. I deduce the "Filter" box will tell me what the filter is.

  1. Click Filter > Custom filter

II. Observed: the current filter is described.

  1. Click Filter > Advanced filter

III. Observed: a fresh form is loaded, prefilled with the defaults rather than the current state. If I want to edit my current filter and I end up here, I have to rebuild the query from scratch.

The interface wasn't obvious at all to me initially. The distinction between "Advanced filter" and "Custom filter" buttons is not hinted anywhere and I find it counterintuitive because most search engines I see tend to prefill the "advanced search" form with whatever search query you were using.

Event Timeline

Nemo_bis created this task.Dec 29 2014, 9:52 AM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a subscriber: Nemo_bis.
Qgil triaged this task as Lowest priority.Dec 29 2014, 12:00 PM
Qgil moved this task from Backlog to Need Discussion on the Phabricator (Upstream) board.

No, that one's on storing multiple filters. This is a UI issue:

  • Advanced Filter really means 'New Advanced Filter...', and
  • Custom Filter really means 'Change Current Advanced Filter...'

Now, if one wants to change the filter, the first attempt is clicking 'Advanced Filter...', only to end up with an empty filter window. The icon of (and lack of ... in) 'Custom Filter' does not suggest it's something that will show a popup that can be edited.

I hit this by accident during the course of https://secure.phabricator.com/T6641, and it should be fixed upstream slightly ahead of HEAD.

mmodell closed this task as Resolved.Mar 3 2016, 6:17 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:03 PM